GCLOUD_AUTH_APPLICATION-DEFAULT(1)

NAME

gcloud auth application-default - manage your active Application Default Credentials

SYNOPSIS

gcloud auth application-default COMMAND [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
Application Default Credentials (ADC) provide a method to get credentials used in calling Google APIs. The gcloud auth application-default command group allows you to manage active credentials on your machine that are used for local application development. These credentials are only used by Google client libraries in your own application. More information on ADC and how they work can be found here: https://developers.google.com/identity/protocols/application-default-credentials

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.

COMMANDS
COMMAND is one of the following:

    login
        Acquire new user credentials to use for Application Default Credentials.

    print-access-token
        Print an access token for the your current Application Default Credentials.

    revoke
        Revoke previously generated Application Default Credentials.

EXAMPLES
To create a service account and have your application use it for API access, run:
    $ gcloud iam service-accounts create my-account $ gcloud iam service-accounts keys create key.json
      --iam-account=my-account@my-project.iam.gserviceaccount.com $ export GOOGLE_APPLICATION_CREDENTIALS=key.json $ ./my_application.sh
To temporarily use your own user credentials, run:
    $ gcloud auth application-default login
This will take you through a web flow to acquire new user credentials.